TUGAS2/urls.py
from django.conf.urls import url,include
from django.contrib import admin
import profile.urls as profile
import login_status.urls as login_status
import halaman_status.urls as halaman_status
import riwayat.urls as riwayat
import pencarian_mahasiswa.urls as pencarian_mahasiswa
urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^profile/', include(profile,namespace='profile')), 
    url(r'^admin/', admin.site.urls),
    url(r'^login-status/', include(login_status, namespace='login-status')),
    url(r'^halaman-status/', include(halaman_status, namespace='halaman-status')),
    url(r'^riwayat/', include(riwayat, namespace='riwayat')),
    url(r'^pencarian-mahasiswa/', include(pencarian_mahasiswa, namespace='pencarian-mahasiswa')),

]

login_status/urls.py
from django.conf.urls import url
from .views import *

from login_status.custom_auth import auth_login

urlpatterns = [
	url(r'^$', masuk_login, name='masuk_login'),
	url(r'^index/$', index, name='index'),

	#custom_auth
	url(r'^custom_auth/login/$', auth_login, name='auth_login'),

]

login_status/models.py
from django.db import models

login_status/views.py
from __future__ import unicode_literals

from django.shortcuts import render
from django.http import HttpResponseRedirect, HttpResponse
from django.urls import reverse
response = {}

def index(request):
    if 'tanda' not in request.session.keys():
        return HttpResponseRedirect(reverse('login:masuk_login'))
    elif 'user_login' in request.session.keys():
        set_data_for_session(request)
        username = request.session['user_login']
        return HttpResponseRedirect('/halaman-status/'+ username)
    else:
        html = 'login_status/login_sso.html'
        return render(request, html, response)
def masuk_login(request):
    request.session['tanda'] = True
    html = 'login_status/login_status.html'
    return render(request, html, response)

def set_data_for_session(request):
    response['author'] = get_data_user(request, 'user_login')
    response['kode_identitas'] = request.session['kode_identitas']
    response['role'] = request.session['role']

def get_data_user(request, tipe):
    data = None
    if tipe == "user_login" and 'user_login' in request.session:
        data = request.session['user_login']
    elif tipe == "kode_identitas" and 'kode_identitas' in request.session:
        data = request.session['kode_identitas']

    return data

   # if 'user_login' in request.session:
        #response['login'] = True
      #  return HttpResponseRedirect(reverse('login:das'))
    #else:
        #response['login'] = False
        #response['author'] = get_data_user(request, 'user_login')
#    html = 'fitur_login/login.html'
 #   return render(request, html, response)

login_status/templates/login_status/login_sso.html
{% extends "login_status/layout/base.html" %}
{% block content %}

<!DOCTYPE html>
<!-- saved from url=(0030)https://sso.ui.ac.id/cas/login -->
<html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta content="width=device-width, initial-scale=1" name="viewport">

<meta http-equiv="X-UA-Compatible" content="IE=edge">
<title>SSO UI</title>
<link rel="stylesheet" type="text/css" href="./SSO UI_files/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="./SSO UI_files/sso.css">
<link rel="icon" href="https://sso.ui.ac.id/cas/themes/ui/logo2_0.gif" type="image/x-icon">
</head>
<body>
        <div class="container">
                <div class="main">



<div class="bg"></div>
<div class="login-box">
        <form id="fm1" class="login" action= "{% url 'login-status:auth_login' %}" method="POST">
            {% csrf_token %}
                <div class="top">
                        <div class="pull-right"><img src="static/css/logo.png"></div>
                        <h1>SSO</h1>
                        <div class="sub">Single Sign On</div>
                </div>
                
                
                <div class="middle">
                        <p>Masukkan username dan password UI Anda/<br><em>Enter your username and password</em>:</p>
                        
                                <div class="form-group">
                                        
                                                
                                                
                                                        <input id="username" name="username" class="form-control" placeholder="Username" type="text" value="" autocomplete="false">
                                                
                                        
                                        
                                </div>
                        
                        
                                <div class="form-group">
                                        <input id="password" name="password" class="form-control" placeholder="Password" type="password" value="" autocomplete="off">
                                        
                                </div>
                        
                </div>
                <input type="hidden" name="lt" value="LT-37016-dDogPSCo7JnE2SzAU6cRpBGgfdic9c">
                <input type="hidden" name="execution" value="e1s1">
                <input type="hidden" name="_eventId" value="submit">
                <div class="bottom clearfix">
                        <div class="pull-right" style="margin-top:12px">
                                <button type="submit" class="btn btn-lg btn-primary">Login</button>
                        </div>
            <table>
              <tbody><tr>
<!--
                <td style="padding: 10px 10px 10px 10px;">
                        <div class="help"><a href="#">Lupa password<br /><em>Forget password</em></a></div>
                </td> 
-->
                <td style="padding: 0px 10px 10px 10px;">
                        <div class="help"><a href="https://sso.ui.ac.id/account/user/register">Daftar Akun<br><em>Guest Account</em></a></div>
                </td>
                <td style="border-left: solid #D5D5D5; ">
                </td>
                <td style="padding: 0px 0px 10px 10px;">
                        <div class="help"><a href="https://sso.ui.ac.id/account/static/frequently-asked-question-faq">Butuh Bantuan ?<br><em>Need Help ?</em></a></div>
                </td>
              </tr>
            </tbody></table>
                </div>
        </form>
</div>

<script type="text/javascript">
function hasError(input) {
        if (input && /has-error/.test(input.parentElement.className)) return input;
}
function isEmpty(input) {
        if (input && input.value == "") return input;
}
var u = document.getElementById("username");
var p = document.getElementById("password");
var candidates = [hasError(u), hasError(p), isEmpty(u), isEmpty(p), u];
for (var i = 0; i < candidates.length; ++i) {
        if (candidates[i]) {
                candidates[i].focus();
                break;
        }
}
</script>





</div></div></body></html>
{% endblock %}

login_status/templates/login_status/login_status.html
{% extends "login_status/layout/base.html" %}
{% block content %}
<div class="row">
    <div class="col-md-6 col-md-offset-3">
        <div class="rata-tengah">
            <div id=login-btn>
                <a href = "{% url 'login-status:index' %}" class="btn btn-warning"> Login With SSO </a>
            </div>
        </div>
    </div>
</div>
{% endblock %}